Browse Source

Change github username

lj2007331@gmail.com 6 years ago
parent
commit
4e2c1914cd
94 changed files with 251 additions and 92 deletions
  1. 13 2
      addons.sh
  2. 1 1
      backup.sh
  3. 1 1
      backup_setup.sh
  4. 5 0
      config/nginx.conf
  5. 5 0
      config/nginx_apache.conf
  6. 5 0
      config/nginx_tomcat.conf
  7. 1 1
      include/GraphicsMagick.sh
  8. 1 1
      include/ImageMagick.sh
  9. 1 1
      include/ZendGuardLoader.sh
  10. 1 1
      include/alisql-5.6.sh
  11. 1 1
      include/apache-2.2.sh
  12. 1 1
      include/apache-2.4.sh
  13. 1 1
      include/apcu.sh
  14. 1 1
      include/check_dir.sh
  15. 1 1
      include/check_download.sh
  16. 1 1
      include/check_os.sh
  17. 1 1
      include/check_sw.sh
  18. 1 1
      include/color.sh
  19. 1 1
      include/demo.sh
  20. 1 1
      include/download.sh
  21. 1 1
      include/eaccelerator.sh
  22. 1 1
      include/get_char.sh
  23. 1 1
      include/hhvm_CentOS.sh
  24. 1 1
      include/init_CentOS.sh
  25. 1 1
      include/init_Debian.sh
  26. 1 1
      include/init_Ubuntu.sh
  27. 1 1
      include/ioncube.sh
  28. 1 1
      include/jdk-1.6.sh
  29. 1 1
      include/jdk-1.7.sh
  30. 1 1
      include/jdk-1.8.sh
  31. 1 1
      include/jdk-11.0.sh
  32. 1 1
      include/jemalloc.sh
  33. 1 1
      include/mariadb-10.0.sh
  34. 1 1
      include/mariadb-10.1.sh
  35. 1 1
      include/mariadb-10.2.sh
  36. 1 1
      include/mariadb-10.3.sh
  37. 1 1
      include/mariadb-5.5.sh
  38. 1 1
      include/memcached.sh
  39. 1 1
      include/memory.sh
  40. 1 1
      include/mongodb.sh
  41. 1 1
      include/mysql-5.5.sh
  42. 1 1
      include/mysql-5.6.sh
  43. 1 1
      include/mysql-5.7.sh
  44. 1 1
      include/mysql-8.0.sh
  45. 1 1
      include/nginx.sh
  46. 1 1
      include/ngx_lua_waf.sh
  47. 1 1
      include/openresty.sh
  48. 1 1
      include/openssl.sh
  49. 48 0
      include/panel.sh
  50. 1 1
      include/pecl_mongodb.sh
  51. 1 1
      include/pecl_pgsql.sh
  52. 1 1
      include/percona-5.5.sh
  53. 1 1
      include/percona-5.6.sh
  54. 1 1
      include/percona-5.7.sh
  55. 1 1
      include/php-5.3.sh
  56. 1 1
      include/php-5.4.sh
  57. 1 1
      include/php-5.5.sh
  58. 1 1
      include/php-5.6.sh
  59. 1 1
      include/php-7.0.sh
  60. 1 1
      include/php-7.1.sh
  61. 1 1
      include/php-7.2.sh
  62. 1 1
      include/php-7.3.sh
  63. 1 1
      include/phpmyadmin.sh
  64. 1 1
      include/postgresql.sh
  65. 1 1
      include/pureftpd.sh
  66. 4 4
      include/python.sh
  67. 1 1
      include/redis.sh
  68. 1 1
      include/sourceguardian.sh
  69. 1 1
      include/tengine.sh
  70. 1 1
      include/tomcat-6.sh
  71. 1 1
      include/tomcat-7.sh
  72. 1 1
      include/tomcat-8.sh
  73. 1 1
      include/tomcat-9.sh
  74. 1 1
      include/upgrade_db.sh
  75. 1 1
      include/upgrade_memcached.sh
  76. 1 1
      include/upgrade_oneinstack.sh
  77. 1 1
      include/upgrade_php.sh
  78. 1 1
      include/upgrade_phpmyadmin.sh
  79. 1 1
      include/upgrade_redis.sh
  80. 1 1
      include/upgrade_web.sh
  81. 1 1
      include/xcache.sh
  82. 1 1
      include/zendopcache.sh
  83. 72 0
      init.d/Panel-init
  84. 13 0
      init.d/panel.service
  85. 1 1
      install.sh
  86. 1 1
      pureftpd_vhost.sh
  87. 1 1
      reset_db_root_password.sh
  88. 1 1
      ss.sh
  89. 1 1
      tools/db_bk.sh
  90. 1 1
      tools/website_bk.sh
  91. 1 1
      uninstall.sh
  92. 1 1
      upgrade.sh
  93. 1 1
      versions.txt
  94. 1 1
      vhost.sh

+ 13 - 2
addons.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear
@@ -58,6 +58,8 @@ IPADDR_COUNTRY=$(./include/get_ipaddr_state.py $PUBLIC_IPADDR)
 
 . ./include/ngx_lua_waf.sh
 
+. ./include/panel.sh
+
 # Check PHP
 if [ -e "${php_install_dir}/bin/phpize" ]; then
   phpExtensionDir=$(${php_install_dir}/bin/php-config --extension-dir)
@@ -211,7 +213,7 @@ What Are You Doing?
 \t${CMSG} q${CEND}. Exit
 "
   read -e -p "Please input the correct option: " Number
-  if [[ ! "${Number}" =~ ^[1-9,q]$|^1[0-1]$ ]]; then
+  if [[ ! "${Number}" =~ ^[1-9,q]$|^1[0-2]$ ]]; then
     echo "${CFAILURE}input error! Please only input 1~11 and q${CEND}"
   else
     case "${Number}" in
@@ -633,6 +635,15 @@ EOF
           disable_lua_waf
         fi
         ;;
+      12)
+        ACTION_FUN
+        if [ "${ACTION}" = '1' ]; then
+          [ ! -e "${python_install_dir}/bin/python" ] && Install_Python
+          Install_Panel
+        else
+          Uninstall_Panel
+        fi
+        ;;
       q)
         exit
         ;;

+ 1 - 1
backup.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 # Check if user is root
 [ $(id -u) != "0" ] && { echo "${CFAILURE}Error: You must be root to run this script${CEND}"; exit 1; }

+ 1 - 1
backup_setup.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 5 - 0
config/nginx.conf

@@ -51,6 +51,11 @@ http {
     image/x-icon;
   gzip_disable "MSIE [1-6]\.(?!.*SV1)";
 
+  ##Brotli Compression
+  #brotli on;
+  #brotli_comp_level 6;
+  #brotli_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript image/svg+xml;
+
   ##If you have a lot of static files to serve through Nginx then caching of the files' metadata (not the actual files' contents) can save some latency.
   #open_file_cache max=1000 inactive=20s;
   #open_file_cache_valid 30s;

+ 5 - 0
config/nginx_apache.conf

@@ -51,6 +51,11 @@ http {
     image/x-icon;
   gzip_disable "MSIE [1-6]\.(?!.*SV1)";
 
+  ##Brotli Compression
+  #brotli on;
+  #brotli_comp_level 6;
+  #brotli_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript image/svg+xml;
+
   ##If you have a lot of static files to serve through Nginx then caching of the files' metadata (not the actual files' contents) can save some latency.
   #open_file_cache max=1000 inactive=20s;
   #open_file_cache_valid 30s;

+ 5 - 0
config/nginx_tomcat.conf

@@ -51,6 +51,11 @@ http {
     image/x-icon;
   gzip_disable "MSIE [1-6]\.(?!.*SV1)";
 
+  ##Brotli Compression
+  #brotli on;
+  #brotli_comp_level 6;
+  #brotli_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript image/svg+xml;
+
   ##If you have a lot of static files to serve through Nginx then caching of the files' metadata (not the actual files' contents) can save some latency.
   #open_file_cache max=1000 inactive=20s;
   #open_file_cache_valid 30s;

+ 1 - 1
include/GraphicsMagick.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_GraphicsMagick() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/ImageMagick.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_ImageMagick() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/ZendGuardLoader.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_ZendGuardLoader() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/alisql-5.6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_AliSQL56() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/apache-2.2.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Apache22() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/apache-2.4.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Apache24() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/apcu.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_APCU() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/check_dir.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 # check MySQL dir
 [ -d "${mysql_install_dir}/support-files" ] && { db_install_dir=${mysql_install_dir}; db_data_dir=${mysql_data_dir}; }

+ 1 - 1
include/check_download.sh

@@ -5,7 +5,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 checkDownload() {
   mirrorLink=http://mirrors.linuxeye.com/oneinstack/src

+ 1 - 1
include/check_os.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 if [ -e "/usr/bin/yum" ]; then
   PM=yum

+ 1 - 1
include/check_sw.sh

@@ -5,7 +5,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 installDepsDebian() {
   echo "${CMSG}Removing the conflicting packages...${CEND}"

+ 1 - 1
include/color.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 echo=echo
 for cmd in echo /bin/echo; do

+ 1 - 1
include/demo.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 DEMO() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/download.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Download_src() {
   [ -s "${src_url##*/}" ] && echo "[${CMSG}${src_url##*/}${CEND}] found" || { wget --limit-rate=10M -4 --tries=6 -c --no-check-certificate ${src_url}; sleep 1; }

+ 1 - 1
include/eaccelerator.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_eAccelerator() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/get_char.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 get_char() {
   SAVEDSTTY=`stty -g`

+ 1 - 1
include/hhvm_CentOS.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_hhvm_CentOS() {
 

+ 1 - 1
include/init_CentOS.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 # Close SELINUX
 setenforce 0

+ 1 - 1
include/init_Debian.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 # Custom profile
 cat > /etc/profile.d/oneinstack.sh << EOF

+ 1 - 1
include/init_Ubuntu.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 # Custom profile
 cat > /etc/profile.d/oneinstack.sh << EOF

+ 1 - 1
include/ioncube.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_ionCube() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/jdk-1.6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install-JDK16() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/jdk-1.7.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install-JDK17() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/jdk-1.8.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install-JDK18() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/jdk-11.0.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install-JDK110() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/jemalloc.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Jemalloc() {
   if [ ! -e "/usr/local/lib/libjemalloc.so" ]; then

+ 1 - 1
include/mariadb-10.0.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MariaDB100() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mariadb-10.1.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MariaDB101() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mariadb-10.2.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MariaDB102() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mariadb-10.3.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MariaDB103() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mariadb-5.5.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MariaDB55() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/memcached.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_memcached() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/memory.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export LANG=en_US.UTF-8
 export LANGUAGE=en_US:en

+ 1 - 1
include/mongodb.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MongoDB() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mysql-5.5.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MySQL55() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mysql-5.6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MySQL56() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mysql-5.7.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MySQL57() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/mysql-8.0.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_MySQL80() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/nginx.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Nginx() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/ngx_lua_waf.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Nginx_lua_waf() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/openresty.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_OpenResty() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/openssl.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_openSSL() {
   if [ ! -e "${openssl_install_dir}/lib/libcrypto.a" ]; then

+ 48 - 0
include/panel.sh

@@ -0,0 +1,48 @@
+#!/bin/bash
+# Author:  yeho <lj2007331 AT gmail.com>
+# BLOG:  https://blog.linuxeye.cn
+#
+# Notes: OneinStack for CentOS/RedHat 6+ Debian 7+ and Ubuntu 12+
+#
+# Project home page:
+#       https://oneinstack.com
+#       https://github.com/oneinstack/oneinstack
+
+Install_Panel() {
+  pushd ${oneinstack_dir}/../ > /dev/null
+  git clone https://github.com/oneinstack/panel.git
+  pushd panel > /dev/null
+  sed -i "s@/root/oneinstack/options.conf@${oneinstack_dir}/options.conf@" panel/settings.py
+  ${python_install_dir}/bin/pip3 install -r requirements.txt
+  ${python_install_dir}/bin/python3 manage.py makemigrations
+  ${python_install_dir}/bin/python3 manage.py migrate
+  if [ -e /bin/systemctl ]; then
+    /bin/cp ${oneinstack_dir}/init.d/panel.service /lib/systemd/system/
+    sed -i "s@/root/git/repo/panel@`pwd`@g" /lib/systemd/system/panel.service
+  else
+    /bin/cp ${oneinstack_dir}/init.d/Panel-init /etc/init.d/panel
+    sed -i "s@/root/git/repo/panel@`pwd`@g" /etc/init.d/panel
+    [ "${PM}" == 'yum' ] && { chkconfig --add panel; chkconfig panel on; }
+    [ "${PM}" == 'apt-get' ] && update-rc.d panel defaults
+  fi
+  popd > /dev/null
+  popd > /dev/null
+  service panel start
+}
+
+Upgrade_Panel() {
+  pushd ${oneinstack_dir}/../panel > /dev/null
+  git pull
+  ${python_install_dir}/bin/pip3 install -r requirements.txt -U
+  ${python_install_dir}/bin/python3 manage.py makemigrations
+  ${python_install_dir}/bin/python3 manage.py migrate
+  popd > /dev/null
+  service panel reload
+}
+
+Uninstall_Panel() {
+  service panel stop
+  pushd ${oneinstack_dir}/../ > /dev/null
+  rm -rf panel
+  popd > /dev/null
+}

+ 1 - 1
include/pecl_mongodb.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_pecl-mongodb() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/pecl_pgsql.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_pecl-pgsql() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/percona-5.5.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Percona55() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/percona-5.6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Percona56() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/percona-5.7.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Percona57() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-5.3.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP53() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-5.4.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP54() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-5.5.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP55() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-5.6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP56() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-7.0.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP70() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-7.1.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP71() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-7.2.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP72() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/php-7.3.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PHP73() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/phpmyadmin.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_phpMyAdmin() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/postgresql.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PostgreSQL() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/pureftpd.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_PureFTPd() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 4 - 4
include/python.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Python() {
   pushd ${oneinstack_dir}/src > /dev/null
@@ -48,12 +48,12 @@ EOF
   if [ ! -e "${python_install_dir}/bin/python" -a ! -e "${python_install_dir}/bin/python3" ] ;then
     src_url=http://mirrors.linuxeye.com/oneinstack/src/Python-${python_ver}.tgz && Download_src
     tar xzf Python-${python_ver}.tgz
-    pushd Python-${python_ver}
+    pushd Python-${python_ver} > /dev/null
     ./configure --prefix=${python_install_dir}
     make && make install
     [ ! -e "${python_install_dir}/bin/python" -a -e "${python_install_dir}/bin/python3" ] && ln -s ${python_install_dir}/bin/python{3,}
     [ ! -e "${python_install_dir}/bin/pip" -a -e "${python_install_dir}/bin/pip3" ] && ln -s ${python_install_dir}/bin/pip{3,}
-    popd
+    popd > /dev/null
     rm -rf Python-${python_ver}
   fi
 
@@ -66,5 +66,5 @@ EOF
       echo -e "[global]\nindex-url = https://pypi.tuna.tsinghua.edu.cn/simple" > /root/.pip/pip.conf
     fi
   fi
-  popd
+  popd > /dev/null
 }

+ 1 - 1
include/redis.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_redis-server() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/sourceguardian.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_SourceGuardian() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/tengine.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Tengine() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/tomcat-6.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Tomcat6() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/tomcat-7.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Tomcat7() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/tomcat-8.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Tomcat8() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/tomcat-9.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_Tomcat9() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_db.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_DB() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_memcached.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_Memcached() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_oneinstack.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_OneinStack() {
   pushd ${oneinstack_dir} > /dev/null

+ 1 - 1
include/upgrade_php.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_PHP() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_phpmyadmin.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_phpMyAdmin() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_redis.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_Redis() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/upgrade_web.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Upgrade_Nginx() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/xcache.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_XCache() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 1 - 1
include/zendopcache.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 Install_ZendOPcache() {
   pushd ${oneinstack_dir}/src > /dev/null

+ 72 - 0
init.d/Panel-init

@@ -0,0 +1,72 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides:          panel
+# Required-Start:    $local_fs $remote_fs $network $syslog
+# Required-Stop:     $local_fs $remote_fs $network $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Startup script for the OneinStack Panel
+# Description:       OneinStack Panel daemon
+### END INIT INFO
+# Startup script for the OneinStack Panel $Revision: 1.3 $
+#
+# chkconfig: 2345 85 15
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# description: OneinStack Panel
+# processname: panel
+# pidfile: /root/git/repo/panel/logs/runconfig.py.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+# Path to the panel binaries.
+prog=panel
+WorkingDirectory=/root/git/repo/panel
+
+start() {
+  echo -n $"Starting $prog: "
+  cd ${WorkingDirectory}; /usr/local/python/bin/gunicorn -c runconfig.py panel.wsgi:application --daemon
+  RETVAL=$?
+  [ $RETVAL = 0 ] && touch /var/lock/subsys/$prog
+  echo
+}
+stop() {
+  echo -n $"Stopping $prog: "
+  kill $(cat ${WorkingDirectory}/logs/runconfig.py.pid)
+  RETVAL=$?
+  [ $RETVAL = 0 ] && rm -f /var/lock/subsys/$prog
+  echo
+}
+reload() {
+  echo -n $"Reloading $prog: "
+  kill -s HUP $(cat ${WorkingDirectory}/logs/runconfig.py.pid)
+  RETVAL=$?
+  echo
+}
+
+# See how we were called.
+case "$1" in
+  start)
+    start
+    ;;
+  stop)
+    stop
+    ;;
+  restart)
+    stop
+    start
+    ;;
+  reload)
+    reload
+    ;;
+  status)
+    status $prog
+    ;;
+  *)
+    echo $"Usage: $prog {start|stop|restart|reload|status}"
+    RETVAL=1
+esac
+exit $RETVAL

+ 13 - 0
init.d/panel.service

@@ -0,0 +1,13 @@
+[Unit]
+Description=OneinStack Panel daemon
+After=network.target
+
+[Service]
+PIDFile=/root/git/repo/panel/logs/runconfig.py.pid
+WorkingDirectory=/root/git/repo/panel
+ExecStart=/usr/local/python/bin/gunicorn -c runconfig.py panel.wsgi:application
+ExecReload=/bin/kill -s HUP $MAINPID
+ExecStop=/bin/kill -s TERM $MAINPID
+
+[Install]
+WantedBy=multi-user.target

+ 1 - 1
install.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
pureftpd_vhost.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
reset_db_root_password.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
ss.sh

@@ -7,7 +7,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
tools/db_bk.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 . ../options.conf
 . ../include/check_dir.sh

+ 1 - 1
tools/website_bk.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 . ../options.conf
 

+ 1 - 1
uninstall.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
upgrade.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear

+ 1 - 1
versions.txt

@@ -63,7 +63,7 @@ mcrypt_ver=2.6.8
 mhash_ver=0.9.9.9
 libsodium_ver=1.0.16
 argon2_ver=20171227
-imagemagick_ver=6.9.10-16
+imagemagick_ver=6.9.10-17
 imagick_ver=3.4.3
 graphicsmagick_ver=1.3.30
 gmagick_for_php7_ver=2.0.5RC1

+ 1 - 1
vhost.sh

@@ -6,7 +6,7 @@
 #
 # Project home page:
 #       https://oneinstack.com
-#       https://github.com/lj2007331/oneinstack
+#       https://github.com/oneinstack/oneinstack
 
 export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
 clear